Authorization: Bearer ********************curl --location 'https://demoapi.base93.com/api/v1/user/external/agent/forms?country=68c0095bd23bcd3a5d9e4bf7&company_type=mainland&freezone=dubai' \
--header 'Authorization: Bearer <token>'{
"status": true,
"response_code": 200,
"message": "Form fetched successfully",
"data": {
"_id": "690f47e87866e4126c94dabb",
"credential": "68cea3fce06ba8ea036656a1",
"country": "68c0095bd23bcd3a5d9e4bf7",
"type": "mainland",
"freezone": "dubai",
"parent": "690f3dff9128509c1346d20a",
"title": "Company Setup UAE (Copy)",
"description": "",
"pages": [
{
"_id": "690f47e47866e4126c94da06",
"title": "Preferences",
"description": "Please choose your preferences for the company setup in the UAE.",
"order": 1,
"sections": [
{
"conditional": {
"enabled": false,
"operator": "equals"
},
"repeater": {
"enabled": false,
"source_type": "fixed_count",
"min_instances": 1,
"max_instances": 10,
"fixed_count": 1,
"title_template": "Item {index}"
},
"_id": "690f47e47866e4126c94d9e6",
"title": "Emirate",
"description": "Choose the Emirate where you wish to incorporate your company.",
"order": 1,
"fields": [
{
"validation": {
"file_types": {
"value": []
},
"required": true
},
"conditional": {
"enabled": false,
"operator": "equals"
},
"_id": "690f47e47866e4126c94d9dd",
"label": "Emirate",
"name": "emirate",
"placeholder": "Please select your preferred Emirate",
"default_value": "",
"description": "",
"type": "select",
"options": [
{
"label": "Dubai",
"value": "option1",
"_id": "6921b31a8c682cb17b4c8d69"
},
{
"label": "Abu Dhabi",
"value": "option2",
"_id": "6921b31a8c682cb17b4c8d6a"
},
{
"label": "Sharjah",
"value": "option3",
"_id": "6921b31a8c682cb17b4c8d6b"
},
{
"label": "Ajman",
"value": "option4",
"_id": "6921b31a8c682cb17b4c8d6c"
},
{
"label": "Umm Al Quwain",
"value": "option5",
"_id": "6921b31a8c682cb17b4c8d6d"
},
{
"label": "Ras Al Khaimah",
"value": "option6",
"_id": "6921b31a8c682cb17b4c8d6e"
},
{
"label": "Fujairah",
"value": "option7",
"_id": "6921b31a8c682cb17b4c8d6f"
}
],
"order": 1,
"created_at": "2025-11-08T13:38:44.344Z",
"updated_at": "2025-11-22T12:56:58.106Z",
"__v": 1
}
],
"created_at": "2025-11-08T13:38:44.392Z",
"updated_at": "2025-11-08T13:38:44.392Z",
"__v": 0
},
{
"conditional": {